AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Action
OriginateAction Class
OriginateAction Methods
ActionCompleteEventClass Method
GetVariable Method
GetVariables Method
SetVariable Method
SetVariables Method

| OriginateAction SetVariable Method

Sets a variable dictionary on the originated call. Replaces any existing variable with the same name.

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public void SetVariable(
    	string key,
    	string value
    )

    Public Sub SetVariable (
    	key As String,
    	value As String
    )

    public:
    void SetVariable(
    	String^ key,
    	String^ value
    )

    member SetVariable :
            key : string *
            value : string -> unit

#### Parameters

key
  Type: System
  String

  [Missing <param name="key"/> documentation for "M:AsterNET.Manager.Action.OriginateAction.SetVariable(System.String,System.String)"]

value
  Type: System
  String

  [Missing <param name="value"/> documentation for "M:AsterNET.Manager.Action.OriginateAction.SetVariable(System.String,System.String)"]

See Also

#### Reference

OriginateAction Class
AsterNET.Manager.Action Namespace